#include "etextinput.h"
#include "ui_etextinput.h"

eTextInput::eTextInput(const QString &text, QWidget *parent) :
    LoQDialog(parent),
    ui(new Ui::eTextInput)
{
    ui->setupUi(this);
    ui->wTextEdit->setText(text);
    connect(ui->wTextEdit, SIGNAL(textChanged()), this, SLOT(onTextChanged()));
}

eTextInput::~eTextInput()
{
    delete ui;
}

void eTextInput::onTextChanged()
{
    emit sTextChanged(ui->wTextEdit->toPlainText());
}
